{% extends 'base.html' %}

{% block title %}List{% endblock %}

{% block content %} 

<div class="row">
    <div class="col-8 mx-auto"> 
        {% if request.user.is_authenticated %}
            <a href="{% url 'blog_create' %}" class="btn btn-primary active mt-2">Create Post</a>
        {% endif %}

            <div class="row" > 
            <p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="mt-2">All Posts</p> 
            {% if messages %}
                {% for message in messages %}
                    <p class="errors">{{ message }}</p>
                {% endfor %}
            {% endif %}
            <hr>
            {% if post_list %}
                {% for post in post_list %} 
                    <div class="row mb-2">
                        <div class="col-lg-3">
                            <!-- <a  href="{{ post.get_absolute_url }}" class="btn btn-secondary btn-sm" >VotesCount</a>  -->
                            <a href="{{ post.get_absolute_url }}" class="btn btn-secondary btn-sm">Comments: {{post.post_comment.all|length}}</a>
                        </div>
                        <div class="col-lg-9"> 
                            <p style="display:inline; font-size:18px;" ><a href="{{ post.get_absolute_url }}">{{ post.title }}</a> <span class="text-muted" style="font-size:14px"> by</span> {{post.user.username|title}} <span class="text-muted" style="font-size:14px"> on {{ post.updated }} </span></p>
                        </div>
                    </div>
                    <hr>
                {% endfor %}  

            {% else %}
                <p>No posts yet!</p>
            {% endif %}
        </div>
    </div>
</div>

{% endblock %}